### Hierarchy

- Assert

## Index

### Properties

- eventually

### Methods

- becomes
- doesNotBecome
- isFulfilled
- isRejected
- notify

## Properties

### eventually

eventually: PromisedAssert

- Defined in node_modules/@types/chai-as-promised/index.d.ts:257

## Methods

### becomes

- becomes(promise: PromiseLike<any>, expected: any, message?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:259

  #### Parameters

  - ##### promise: PromiseLike<any>

  - ##### expected: any

  - ##### Optional message: undefined | string

  #### Returns PromiseLike<void>

### doesNotBecome

- doesNotBecome(promise: PromiseLike<any>, expected: any, message?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:260

  #### Parameters

  - ##### promise: PromiseLike<any>

  - ##### expected: any

  - ##### Optional message: undefined | string

  #### Returns PromiseLike<void>

### isFulfilled

- isFulfilled(promise: PromiseLike<any>, message?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:258

  #### Parameters

  - ##### promise: PromiseLike<any>

  - ##### Optional message: undefined | string

  #### Returns PromiseLike<void>

### isRejected

- isRejected(promise: PromiseLike<any>, message?: undefined | string): PromiseLike<void>
- isRejected(promise: PromiseLike<any>, expected: any, message?: undefined | string): PromiseLike<void>
- isRejected(promise: PromiseLike<any>, match: RegExp, message?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:261

  #### Parameters

  - ##### promise: PromiseLike<any>

  - ##### Optional message: undefined | string

  #### Returns PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:262

  #### Parameters

  - ##### promise: PromiseLike<any>

  - ##### expected: any

  - ##### Optional message: undefined | string

  #### Returns PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:263

  #### Parameters

  - ##### promise: PromiseLike<any>

  - ##### match: RegExp

  - ##### Optional message: undefined | string

  #### Returns PromiseLike<void>

### notify

- notify(fn: Function): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:264

  #### Parameters

  - ##### fn: Function

  #### Returns PromiseLike<void>

Generated using TypeDoc